Closed Bug 1492954 Opened 3 years ago Closed 2 years ago

Intermittent devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out -

Categories

(DevTools :: Debugger, defect, P5)

defect

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 1580104

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Regression)

Details

(Keywords: intermittent-failure)

Filed by: rgurzau [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=200525727&repo=autoland

https://queue.taskcluster.net/v1/task/dyKnLY1GRbqcj5LW_Hjl4Q/runs/0/artifacts/public/logs/live_backing.log

12:20:38     INFO - @tests/mochitest/runtests.py:1753:2
12:20:38     INFO - evaluate.sandbox/promise<@chrome://marionette/content/evaluate.js:128:13
12:20:38     INFO - evaluate.sandbox@chrome://marionette/content/evaluate.js:97:17
12:20:38     INFO - GeckoDriver.prototype.execute_@chrome://marionette/content/driver.js:1017:19
12:20:38     INFO - async*GeckoDriver.prototype.executeScript@chrome://marionette/content/driver.js:887:24
12:20:38     INFO - Async*despatch@chrome://marionette/content/server.js:298:20
12:20:38     INFO - async*execute@chrome://marionette/content/server.js:271:11
12:20:38     INFO - async*onPacket/<@chrome://marionette/content/server.js:246:15
12:20:38     INFO - async*onPacket@chrome://marionette/content/server.js:245:8
12:20:38     INFO - _onJSONObjectReady/<@chrome://marionette/content/transport.js:490:9
12:20:38     INFO - 
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Buffered messages logged at 12:20:01
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
12:20:38     INFO - Buffered messages finished
12:20:38     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out - 
12:20:38     INFO - Removing tab.
12:20:38     INFO - Waiting for event: 'TabClose' on [object XULElement].
12:20:38     INFO - Got event: 'TabClose' on [object XULElement].
12:20:38     INFO - Tab removed and finished closing
12:20:38     INFO - GECKO(1957) | MEMORY STAT | vsize 5054MB | residentFast 1012MB | heapAllocated 146MB
12:20:38     INFO - TEST-OK | devtools/client/debugger/new/test/mochitest/browser_dbg_rr_breakpoints-04.js | took 45353ms
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Summary: Intermittent devtools/client/debugger/new/test/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out - → Intermittent devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out -

There are 26 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-08&endday=2019-07-15&tree=trunk&bug=1492954

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=256416452&repo=mozilla-central&lineNumber=1033

11:01:36 INFO - TEST-START | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js
11:02:21 INFO - TEST-UNEXPECTED-FAIL | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out -
11:02:21 INFO - Removing tab.
11:02:21 INFO - Waiting for event: 'TabClose' on [object XULElement].
11:02:21 INFO - Got event: 'TabClose' on [object XULElement].
11:02:21 INFO - Tab removed and finished closing
11:02:21 INFO - GECKO(1766) | MEMORY STAT | vsize 7772MB | residentFast 462MB | heapAllocated 139MB
11:02:21 INFO - TEST-OK | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | took 45404ms
11:02:21 INFO - checking window state
11:02:21 INFO - GECKO(1766) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object

Jason, could you assign this to someone?

Flags: needinfo?(jlaster)
Whiteboard: [stockwell needswork:owner]

We had 47 failures in the past week, all on macosx1014-64-shippable opt.
Recent log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257767150&repo=autoland&lineNumber=1040

23:27:36 INFO - TEST-START | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js
23:27:36 INFO - GECKO(1637) | MIDDLEMAN 1666 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:36 INFO - GECKO(1637) | RECORDING 1667 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:37 INFO - GECKO(1637) | JavaScript error: chrome://global/content/browser-child.js, line 27: ReferenceError: Services is not defined
23:27:37 INFO - GECKO(1637) | REPLAYING 1668 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:37 INFO - GECKO(1637) | REPLAYING 1670 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:38 INFO - GECKO(1637) | REPLAYING 1671 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:38 INFO - GECKO(1637) | REPLAYING 1672 /var/folders/cx/l_1xyzkd0c7_ppq6f_1pbsbw000017/T/TempRecording.1637.4
23:27:38 INFO - GECKO(1637) | ERROR: ManifestFinished threw exception: TypeError: source is undefined isHiddenSource@resource://devtools/server/actors/utils/TabSources.js:459:3
23:27:38 INFO - GECKO(1637) | TabSources/this.allowSource@resource://devtools/server/actors/utils/TabSources.js:35:13
23:27:38 INFO - GECKO(1637) | _addSource@resource://devtools/server/actors/thread.js:1997:23
23:27:38 INFO - GECKO(1637) | onNewScript@resource://devtools/server/actors/thread.js:1966:10
23:27:38 INFO - GECKO(1637) | handleResumeManifestResponse/<@resource://devtools/server/actors/replay/control.js:1010:41
23:27:38 INFO - GECKO(1637) | handleResumeManifestResponse@resource://devtools/server/actors/replay/control.js:1010:13
23:27:38 INFO - GECKO(1637) | onFinished@resource://devtools/server/actors/replay/control.js:1036:7
23:27:38 INFO - GECKO(1637) | manifestFinished@resource://devtools/server/actors/replay/control.js:182:19
23:27:38 INFO - GECKO(1637) | ManifestFinished@resource://devtools/server/actors/replay/control.js:1160:21
23:27:41 INFO - GECKO(1637) | console.log: "Please file an issue: reasonType=" "interrupted"
23:27:43 INFO - GECKO(1637) | ReplayControl Server Error: Assertion Failed! Stack: ThrowError@resource://devtools/server/actors/replay/control.js:1355:17
23:27:43 INFO - GECKO(1637) | assert@resource://devtools/server/actors/replay/control.js:1350:5
23:27:43 INFO - GECKO(1637) | pauseCheckpoint@resource://devtools/server/actors/replay/control.js:155:5
23:27:43 INFO - GECKO(1637) | ensureFlushed@resource://devtools/server/actors/replay/control.js:1053:44
23:27:43 INFO - GECKO(1637) | maybeSwitchToReplayingChild@resource://devtools/server/actors/replay/control.js:1262:7
23:27:43 INFO - GECKO(1637) | _sendRequestAllowDiverge@resource://devtools/server/actors/replay/debugger.js:154:19
23:27:43 INFO - GECKO(1637) | _capturePauseData@resource://devtools/server/actors/replay/debugger.js:391:28
23:27:43 INFO - GECKO(1637) | setBreakpoint/<@resource://devtools/server/actors/replay/debugger.js:787:19
23:27:43 INFO - GECKO(1637) | _performPause@resource://devtools/server/actors/replay/debugger.js:290:11
23:27:43 INFO - GECKO(1637) | JavaScript error: resource://devtools/server/actors/replay/control.js, line 1355: Error: Assertion Failed!
23:28:21 INFO - TEST-INFO | started process screencapture
23:28:21 INFO - TEST-INFO | screencapture: exit 0
23:28:21 INFO - Buffered messages logged at 23:27:36
23:28:21 INFO - Entering test bound
23:28:21 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
23:28:21 INFO - Buffered messages logged at 23:27:37
23:28:21 INFO - Console message: [JavaScript Error: "ReferenceError: Services is not defined" {file: "chrome://global/content/browser-child.js" line: 27}]
23:28:21 INFO - Buffered messages logged at 23:27:38
23:28:21 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.com/browser/devtools/client/webreplay/mochitest/examples/doc_rr_continuous.html" line: 0}]
23:28:21 INFO - Buffered messages logged at 23:27:41
23:28:21 INFO - TEST-PASS | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Got one source -
23:28:21 INFO - TEST-PASS | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Source is doc_rr_continuous.html -
23:28:21 INFO - Buffered messages logged at 23:27:42
23:28:21 INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/NetUtil.jsm" line: 253}]
23:28:21 INFO - Buffered messages logged at 23:27:43
23:28:21 INFO - TEST-PASS | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Paused at line 14 expected 14 -
23:28:21 INFO - TEST-PASS | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Got one frame -
23:28:21 INFO - Console message: [JavaScript Error: "Error: Assertion Failed!" {file: "resource://devtools/server/actors/replay/control.js" line: 1355}]
23:28:21 INFO - Buffered messages finished
23:28:21 INFO - TEST-UNEXPECTED-FAIL | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out -
23:28:21 INFO - Removing tab.
23:28:21 INFO - Waiting for event: 'TabClose' on [object XULElement].
23:28:21 INFO - Got event: 'TabClose' on [object XULElement].
23:28:21 INFO - Tab removed and finished closing
23:28:21 INFO - GECKO(1637) | MEMORY STAT | vsize 7735MB | residentFast 442MB | heapAllocated 140MB
23:28:21 INFO - TEST-OK | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | took 45322ms
23:28:21 INFO - checking window state
23:28:21 INFO - GECKO(1637) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object

CC brian

Flags: needinfo?(jlaster) → needinfo?(bhackett1024)
Regressed by: 1553210
Whiteboard: [stockwell unknown] → [stockwell unknown][stockwell needswork:owner]

There are 116 total failures in the last 7 days on macosx1014-64-shippable opt.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=266702642&repo=autoland&lineNumber=3248

[task 2019-09-14T15:39:55.849Z] 15:39:55 INFO - TEST-START | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js

[task 2019-09-14T15:42:56.385Z] 15:42:56 INFO - TEST-PASS | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Eval returned 181 -
[task 2019-09-14T15:42:56.385Z] 15:42:56 INFO - Waiting for state change: paused
[task 2019-09-14T15:42:56.385Z] 15:42:56 INFO - Buffered messages logged at 15:40:13
[task 2019-09-14T15:42:56.390Z] 15:42:56 INFO - Console message: [JavaScript Error: "remote browser crashed while on http://example.com/browser/devtools/client/webreplay/mochitest/examples/doc_rr_continuous.html
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - " {file: "chrome://mochikit/content/mochitest-e10s-utils.js" line: 10}]
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - e10s_init/<@chrome://mochikit/content/mochitest-e10s-utils.js:10:10
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - EventListener.handleEvente10s_init@chrome://mochikit/content/mochitest-e10s-utils.js:6:10
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - testInit@chrome://mochikit/content/browser-test.js:131:5
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - setTimeout handler
@chrome://mochikit/content/browser-test.js:41:11
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - loadChromeScripts@jar:file:///var/folders/rp/wfstf0nn7qz95dfz2gk3q2r4000017/T/tmpjLH5UG.mozrunner/extensions/mochikit@mozilla.org.xpi!/api.js:21:25
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - loadMochitest@jar:file:///var/folders/rp/wfstf0nn7qz95dfz2gk3q2r4000017/T/tmpjLH5UG.mozrunner/extensions/mochikit@mozilla.org.xpi!/api.js:143:20
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - @tests/mochitest/runtests.py:1810:5
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - @tests/mochitest/runtests.py:1811:8
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - evaluate.sandbox/promise<@chrome://marionette/content/evaluate.js:138:10
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - evaluate.sandbox@chrome://marionette/content/evaluate.js:114:17
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - GeckoDriver.prototype.execute_@chrome://marionette/content/driver.js:1070:28
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - async*GeckoDriver.prototype.executeScript@chrome://marionette/content/driver.js:945:30
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - despatch@chrome://marionette/content/server.js:305:40
[task 2019-09-14T15:42:56.391Z] 15:42:56 INFO - execute@chrome://marionette/content/server.js:275:16
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - onPacket/<@chrome://marionette/content/server.js:248:20
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - onPacket@chrome://marionette/content/server.js:249:9
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - _onJSONObjectReady/<@chrome://marionette/content/transport.js:501:20
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO -
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - Buffered messages logged at 15:40:40
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - Longer timeout required, waiting longer... Remaining timeouts: 3
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - Buffered messages logged at 15:41:26
[task 2019-09-14T15:42:56.392Z] 15:42:56 INFO - Longer timeout required, waiting longer... Remaining timeouts: 2
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - Buffered messages logged at 15:42:11
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - Longer timeout required, waiting longer... Remaining timeouts: 1
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - Buffered messages finished
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - TEST-UNEXPECTED-FAIL | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | Test timed out -
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - Removing tab.
[task 2019-09-14T15:42:56.393Z] 15:42:56 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-09-14T15:42:56.394Z] 15:42:56 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-09-14T15:42:56.395Z] 15:42:56 INFO - Tab removed and finished closing
[task 2019-09-14T15:42:56.434Z] 15:42:56 INFO - GECKO(1693) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object
[task 2019-09-14T15:42:56.435Z] 15:42:56 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-09-14T15:42:56.435Z] 15:42:56 INFO - GECKO(1693) | MEMORY STAT | vsize 7760MB | residentFast 450MB | heapAllocated 112MB
[task 2019-09-14T15:42:56.435Z] 15:42:56 INFO - TEST-OK | devtools/client/webreplay/mochitest/browser_dbg_rr_breakpoints-04.js | took 180574ms
[task 2019-09-14T15:42:56.473Z] 15:42:56 INFO - checking window state

Status: REOPENED → RESOLVED
Closed: 3 years ago2 years ago
Resolution: --- → DUPLICATE
Whiteboard: [stockwell disable-recommended]
Duplicate of bug: 1580104
Flags: needinfo?(bhackett1024)
You need to log in before you can comment on or make changes to this bug.